#!/bin/sh -e

create_user() {
  local username='_rpki-client'

  if id $username > /dev/null 2>&1; then return; fi

  adduser --system --disabled-password --no-create-home --force-badname \
    --group --home /var/lib/rpki-client \
    --gecos "OpenBSD RPKI validator" $username
}

create_directories() {
  if [ "$2" ]; then return 0; fi # only on the first install

  mkdir -p /var/lib/rpki-client/ /var/cache/rpki-client/
  chown _rpki-client: /var/lib/rpki-client/ /var/cache/rpki-client/
}

case "$1" in
configure)
  create_user "$@"
  create_directories "$@"
  ;;
esac

#DEBHELPER#

